summaryrefslogtreecommitdiff
path: root/bg1/install-patch-totsc-baldurdash-text.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-06-02 00:09:49 +0100
committerNick White <git@njw.me.uk>2009-06-02 00:09:49 +0100
commita1bfefe38eb5f43ba88fac06654fd6eb87f8a79d (patch)
tree212ec6e5a967649953d227aa72a3cf7362bd2fb6 /bg1/install-patch-totsc-baldurdash-text.sh
parent520746058d336ffec5a2acdcb757a1d143457b6a (diff)
downloadgemrb-gameinstallers-a1bfefe38eb5f43ba88fac06654fd6eb87f8a79d.tar.bz2
gemrb-gameinstallers-a1bfefe38eb5f43ba88fac06654fd6eb87f8a79d.zip
Corrected baldurdash script location
Diffstat (limited to 'bg1/install-patch-totsc-baldurdash-text.sh')
-rwxr-xr-xbg1/install-patch-totsc-baldurdash-text.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/bg1/install-patch-totsc-baldurdash-text.sh b/bg1/install-patch-totsc-baldurdash-text.sh
new file mode 100755
index 0000000..5a9bc71
--- /dev/null
+++ b/bg1/install-patch-totsc-baldurdash-text.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# BG1 TOTSC Baldurdash text pack v1.1
+#
+# info : http://www.baldurdash.org/BG1/bg1fixes.html
+# size : 1.2 MB
+# date : 7/07/01
+
+patch_url="http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
+
+parseargs "$@"
+
+if [ "$LANGUAGE" != "English" ]; then
+ echo "The Baldurdash text pack is only available in English"
+ diesoftly
+fi
+
+checkforbin unzip wget
+
+setuptmp
+
+getpatch $patch_url
+
+# unzip complains unnecessarily about skipping non-zip
+# part so don't print errors or die on failure
+unzip -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" 2>/dev/null
+cp "${TMPDIR}/dialog.tlk" "${TARGETDIR}/" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"